jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gao Feng(高峰) <gaof...@tongtech.com>
Subject how to use jackrabbit-bundle-2.6.3 in Karaf
Date Tue, 19 Nov 2013 03:14:18 GMT
I want to use jackrabbit-bundle-2.6.3 in the OSGi container (Karaf).  The exception thrown
when installed the all-in-one jackrabbit-bundle:

org.osgi.framework.BundleException: Unresolved constraint in bundle org.apache.jackrabbit.jackrabbit-bundle
[56]: Unable to resolve 56.0: missing requirement [56.0] osgi.wiring.package; (osgi.wiring.package=com.ibm.db2.jcc)
        at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3826)
        at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)
        at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1191)
        at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)
        at java.lang.Thread.run(Thread.java:662)

why com.ibm.db2.jcc is a mandatory import package?

And, I tried to remove “com.ibm.db2.jcc” from Import-Package, but another element of Import-Package
got wrong.

How can I use jackrabbit-bundle in Karaf properly ? Any suggestion ?

Thanks in advance
View raw message